---------------------
PatchSet 8043 
Date: 2006/05/27 13:18:02
Author: serassio
Branch: nt
Tag: (none) 
Log:
VisualStudio project updated

Members: 
	port/win32/update.cmd:1.1.36.1->1.1.36.2 
	port/win32/include/autoconf.h:1.1.38.2->1.1.38.3 
	port/win32/negotiate_auth/negotiate_auth.dsp:1.1.10.1->1.1.10.2 
	port/win32/nt_auth/nt_auth.dsp:1.1.36.1->1.1.36.2 
	port/win32/ntlm_win32_auth/ntlm_win32_auth.dsp:1.1.32.1->1.1.32.2 
	port/win32/squid/squid.dsp:1.1.38.2->1.1.38.3 
	port/win32/win32_check_group/win32_check_group.dsp:1.1.30.1->1.1.30.2 

Index: squid/port/win32/update.cmd
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/update.cmd,v
retrieving revision 1.1.36.1
retrieving revision 1.1.36.2
diff -u -r1.1.36.1 -r1.1.36.2
--- squid/port/win32/update.cmd	16 May 2006 21:05:58 -0000	1.1.36.1
+++ squid/port/win32/update.cmd	27 May 2006 13:18:02 -0000	1.1.36.2
@@ -18,13 +18,13 @@
 copy %0\..\pinger\%1\pinger.exe %2\libexec\pinger.exe
 copy %0\..\squidclient\%1\squidclient.exe %2\bin\squidclient.exe
 copy %0\..\fake_auth\%1\fake_auth.exe %2\libexec\fakeauth_auth.exe
-copy %0\..\nt_auth\%1\nt_auth.exe %2\libexec\win32_auth.exe
+copy %0\..\nt_auth\%1\nt_auth.exe %2\libexec\mswin_auth.exe
 copy %0\..\ncsa_auth\%1\ncsa_auth.exe %2\libexec\ncsa_auth.exe
-copy %0\..\ntlm_win32_auth\%1\ntlm_win32_auth.exe %2\libexec\win32_ntlm_auth.exe
-copy %0\..\negotiate_auth\%1\negotiate_auth.exe %2\libexec\win32_negotiate_auth.exe
+copy %0\..\ntlm_win32_auth\%1\ntlm_win32_auth.exe %2\libexec\mswin_ntlm_auth.exe
+copy %0\..\negotiate_auth\%1\negotiate_auth.exe %2\libexec\mswin_negotiate_auth.exe
 copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\squid_ldap_auth.exe
 copy %0\..\ldap_group\%1\ldap_group.exe %2\libexec\squid_ldap_group.exe
-copy %0\..\win32_check_group\%1\win32_check_group.exe %2\libexec\win32_check_group.exe
+copy %0\..\win32_check_group\%1\win32_check_group.exe %2\libexec\mswin_check_lm_group.exe
 copy %0\..\ip_user_check\%1\ip_user_check.exe %2\libexec\ip_user_check.exe
 copy %0\..\cachemgr\%1\cachemgr.exe %2\libexec\cachemgr.cgi
 
@@ -39,11 +39,11 @@
 copy %0\..\..\..\icons\*.gif %2\share\icons > NUL
 
 copy %0\..\readme.txt %2\docs\readme.txt
-copy %0\..\..\..\helpers\ntlm_auth\NTLMSSP-WIN32\readme.txt %2\docs\win32_ntlm_auth.txt
-copy %0\..\..\..\helpers\negotiate_auth\Win32\readme.txt %2\docs\win32_negotiate_auth.txt
-copy %0\..\..\..\helpers\external_acl\win32_group\readme.txt %2\docs\win32_check_group.txt
+copy %0\..\..\..\helpers\ntlm_auth\mswin_sspi\readme.txt %2\docs\mswin_ntlm_auth.txt
+copy %0\..\..\..\helpers\negotiate_auth\mswin_sspi\readme.txt %2\docs\mswin_negotiate_auth.txt
+copy %0\..\..\..\helpers\external_acl\mswin_lm_group\readme.txt %2\docs\mswin_check_lm_group.txt
 copy %0\..\..\..\helpers\external_acl\ip_user\README %2\docs\ip_user_check.txt
-copy %0\..\..\..\helpers\basic_auth\win32_locallogon\readme.txt %2\docs\win32_auth.txt
+copy %0\..\..\..\helpers\basic_auth\mswin_sspi\readme.txt %2\docs\mswin_auth.txt
 copy %0\..\..\..\doc\win32-relnotes.html %2\docs\win32-relnotes.html
 copy %0\..\..\..\doc\debug-sections.txt %2\docs\debug-sections.txt
 copy %0\..\..\..\doc\HTTP-codes.txt %2\docs\HTTP-codes.txt
Index: squid/port/win32/include/autoconf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/include/Attic/autoconf.h,v
retrieving revision 1.1.38.2
retrieving revision 1.1.38.3
diff -u -r1.1.38.2 -r1.1.38.3
--- squid/port/win32/include/autoconf.h	27 May 2006 10:38:26 -0000	1.1.38.2
+++ squid/port/win32/include/autoconf.h	27 May 2006 13:18:03 -0000	1.1.38.3
@@ -35,7 +35,7 @@
 /* #undef DEBUG_MEMPOOL */
 
 /* Default FD_SETSIZE value */
-#define DEFAULT_FD_SETSIZE 256
+#define DEFAULT_FD_SETSIZE 64
 
 /* Traffic management via "delay pools". */
 /* #undef DELAY_POOLS */
@@ -54,7 +54,7 @@
 /* #undef HAVE_ALLOCA_H */
 
 /* Define if your compiler supports prototyping */
-#define HAVE_ANSI_PROTOTYPES 1
+/* #undef HAVE_ANSI_PROTOTYPES */
 
 /* Define to 1 if you have the <arpa/inet.h> header file. */
 /* #undef HAVE_ARPA_INET_H */
@@ -84,7 +84,7 @@
 /* #undef HAVE_BYTESWAP_H */
 
 /* Define to 1 if you have the `crypt' function. */
-/* #undef HAVE_CRYPT */
+#define HAVE_CRYPT 1
 
 /* Define to 1 if you have the <crypt.h> header file. */
 #define HAVE_CRYPT_H 1
@@ -160,7 +160,7 @@
 /* #undef HAVE_INITGROUPS */
 
 /* Define to 1 if you have the <inttypes.h> header file. */
-#define HAVE_INTTYPES_H 1
+/* #undef HAVE_INTTYPES_H */
 
 /* Define to 1 if you have the <ipl.h> header file. */
 /* #undef HAVE_IPL_H */
@@ -575,13 +575,13 @@
 /* #undef HAVE_UNIXSOCKET */
 
 /* Define to 1 if you have the <utime.h> header file. */
-#define HAVE_UTIME_H 1
+/* #undef HAVE_UTIME_H */
 
 /* Define to 1 if you have the <varargs.h> header file. */
 #define HAVE_VARARGS_H 1
 
 /* Some systems dont have va_copy */
-#define HAVE_VA_COPY 1
+/* #undef HAVE_VA_COPY */
 
 /* Define to 1 if you have the `vsnprintf' function. */
 #define HAVE_VSNPRINTF 1
@@ -590,7 +590,7 @@
 #define HAVE_WIN32_PSAPI 1
 
 /* Some systems support __va_copy */
-#define HAVE___VA_COPY 1
+/* #undef HAVE___VA_COPY */
 
 /* By default (for now anyway) Squid includes options which allows the cache
    administrator to violate the HTTP protocol specification in terms of cache
@@ -703,9 +703,6 @@
 /* Size of SIZEOF___INT64 */
 #define SIZEOF___INT64 8
 
-/* configure command line used to configure Squid */
-#define SQUID_CONFIGURE_OPTIONS "'--disable-wccp' '--enable-underscores' '--enable-htcp' '--enable-default-hostsfile=none' '--enable-removal-policies=heap lru' '--enable-auth=basic ntlm digest negotiate' '--enable-basic-auth-helpers=win32_locallogon NCSA LDAP' '--enable-err-languages=English Italian' '--enable-default-err-language=English' '--enable-storeio=ufs awin32 null' '--enable-referer-log' '--enable-useragent-log' '--enable-external-acl-helpers=win32_group ip_user ldap_group' '--enable-ntlm-auth-helpers=NTLMSSP-WIN32 fakeauth' '--enable-win32-service' '--enable-snmp' '--prefix=c:/mgw-2.6' '--enable-ssl' '--enable-arp-acl' '--enable-negotiate-auth-helpers=Win32' '--enable-digest-auth-helpers=password LDAP'"
-
 /* Maximum number of open filedescriptors */
 #define SQUID_MAXFD 2048
 
@@ -713,16 +710,16 @@
 #define SQUID_SNMP 1
 
 /* TCP receive buffer size */
-#define SQUID_TCP_SO_RCVBUF 16384
+#define SQUID_TCP_SO_RCVBUF 8192
 
 /* TCP send buffer size */
-#define SQUID_TCP_SO_SNDBUF 16384
+#define SQUID_TCP_SO_SNDBUF 8192
 
 /* UDP receive buffer size */
-#define SQUID_UDP_SO_RCVBUF 16384
+#define SQUID_UDP_SO_RCVBUF 8192
 
 /* UDP send buffer size */
-#define SQUID_UDP_SO_SNDBUF 16384
+#define SQUID_UDP_SO_SNDBUF 8192
 
 /* If using the C implementation of alloca, define if you know the
    direction of stack growth for your system; otherwise it will be
@@ -841,7 +838,7 @@
 #define int32_t int
 
 /* Have unsigned __int64 datatype */
-/#define int64_t  __int64
+#define int64_t  __int64
 
 /* Define to `unsigned short' if <sys/types.h> does not define. */
 /* #undef mode_t */
@@ -906,10 +903,12 @@
 #define STR_USE_ARP_ACL ""
 #endif
 
-#define SQUID_CONFIGURE_OPTIONS "--enable-win32-service --enable-underscores --enable-storeio='ufs awin32 null' " \
+#define SQUID_CONFIGURE_OPTIONS "--enable-win32-service --enable-storeio='ufs awin32 null' " \
     "--enable-removal-policies='heap lru' --enable-snmp --enable-htcp --disable-wccp --enable-useragent-log " \
-    "--enable-referer-log --enable-auth='basic ntlm digest negotiate' --enable-basic-auth-helpers='LDAP ncsa_auth win32_locallogon' " \
-    "--enable-ntlm-auth-helpers=mswin_sspi --enable-external-acl-helpers='win32_group ldap_group' --enable-large-cache-files "\
+    "--enable-referer-log --enable-cache-digests --enable-auth='basic ntlm digest negotiate' " \
+    "--enable-basic-auth-helpers='LDAP NCSA mswin_sspi' --enable-negotiate-auth-helpers=mswin_sspi" \
+    "--enable-ntlm-auth-helpers='mswin_sspi fakeauth' --enable-external-acl-helpers='mswin_lm_group ldap_group' " \
+    "--enable-large-cache-files "\
     STR_DELAY_POOLS \
     STR_USE_ICMP \
     STR_USE_DNSSERVERS \
Index: squid/port/win32/negotiate_auth/negotiate_auth.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/negotiate_auth/Attic/negotiate_auth.dsp,v
retrieving revision 1.1.10.1
retrieving revision 1.1.10.2
diff -u -r1.1.10.1 -r1.1.10.2
--- squid/port/win32/negotiate_auth/negotiate_auth.dsp	16 May 2006 21:05:59 -0000	1.1.10.1
+++ squid/port/win32/negotiate_auth/negotiate_auth.dsp	27 May 2006 13:18:03 -0000	1.1.10.2
@@ -87,11 +87,11 @@
 # PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
 # Begin Source File
 
-SOURCE=..\..\..\helpers\negotiate_auth\win32\libnegotiatessp.c
+SOURCE=..\..\..\helpers\negotiate_auth\mswin_sspi\libnegotiatessp.c
 # End Source File
 # Begin Source File
 
-SOURCE=..\..\..\helpers\negotiate_auth\win32\negotiate_auth.c
+SOURCE=..\..\..\helpers\negotiate_auth\mswin_sspi\negotiate_auth.c
 # End Source File
 # End Group
 # Begin Group "Header Files"
@@ -99,7 +99,7 @@
 # PROP Default_Filter "h;hpp;hxx;hm;inl"
 # Begin Source File
 
-SOURCE=..\..\..\helpers\negotiate_auth\win32\negotiate.h
+SOURCE=..\..\..\helpers\negotiate_auth\mswin_sspi\negotiate.h
 # End Source File
 # End Group
 # Begin Group "Resource Files"
Index: squid/port/win32/nt_auth/nt_auth.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/nt_auth/Attic/nt_auth.dsp,v
retrieving revision 1.1.36.1
retrieving revision 1.1.36.2
diff -u -r1.1.36.1 -r1.1.36.2
--- squid/port/win32/nt_auth/nt_auth.dsp	16 May 2006 21:05:59 -0000	1.1.36.1
+++ squid/port/win32/nt_auth/nt_auth.dsp	27 May 2006 13:18:04 -0000	1.1.36.2
@@ -87,11 +87,11 @@
 # PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
 # Begin Source File
 
-SOURCE=..\..\..\helpers\basic_auth\win32_locallogon\NT_auth.c
+SOURCE=..\..\..\helpers\basic_auth\mswin_sspi\mswin_auth.c
 # End Source File
 # Begin Source File
 
-SOURCE=..\..\..\helpers\basic_auth\win32_locallogon\valid.c
+SOURCE=..\..\..\helpers\basic_auth\mswin_sspi\valid.c
 # End Source File
 # End Group
 # Begin Group "Header Files"
@@ -99,7 +99,7 @@
 # PROP Default_Filter "h;hpp;hxx;hm;inl"
 # Begin Source File
 
-SOURCE=..\..\..\helpers\basic_auth\win32_locallogon\valid.h
+SOURCE=..\..\..\helpers\basic_auth\mswin_sspi\valid.h
 # End Source File
 # End Group
 # Begin Group "Resource Files"
Index: squid/port/win32/ntlm_win32_auth/ntlm_win32_auth.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/ntlm_win32_auth/Attic/ntlm_win32_auth.dsp,v
retrieving revision 1.1.32.1
retrieving revision 1.1.32.2
diff -u -r1.1.32.1 -r1.1.32.2
--- squid/port/win32/ntlm_win32_auth/ntlm_win32_auth.dsp	16 May 2006 21:05:59 -0000	1.1.32.1
+++ squid/port/win32/ntlm_win32_auth/ntlm_win32_auth.dsp	27 May 2006 13:18:04 -0000	1.1.32.2
@@ -87,11 +87,11 @@
 # PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
 # Begin Source File
 
-SOURCE="..\..\..\helpers\ntlm_auth\NTLMSSP-WIN32\libntlmssp.c"
+SOURCE=..\..\..\helpers\ntlm_auth\mswin_sspi\libntlmssp.c
 # End Source File
 # Begin Source File
 
-SOURCE="..\..\..\helpers\ntlm_auth\NTLMSSP-WIN32\ntlm_auth.c"
+SOURCE=..\..\..\helpers\ntlm_auth\mswin_sspi\ntlm_auth.c
 # End Source File
 # End Group
 # Begin Group "Header Files"
@@ -99,7 +99,7 @@
 # PROP Default_Filter "h;hpp;hxx;hm;inl"
 # Begin Source File
 
-SOURCE="..\..\..\helpers\ntlm_auth\NTLMSSP-WIN32\ntlm.h"
+SOURCE=..\..\..\helpers\ntlm_auth\mswin_sspi\ntlm.h
 # End Source File
 # End Group
 # Begin Group "Resource Files"
Index: squid/port/win32/squid/squid.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/squid/Attic/squid.dsp,v
retrieving revision 1.1.38.2
retrieving revision 1.1.38.3
diff -u -r1.1.38.2 -r1.1.38.3
--- squid/port/win32/squid/squid.dsp	21 May 2006 13:20:06 -0000	1.1.38.2
+++ squid/port/win32/squid/squid.dsp	27 May 2006 13:18:04 -0000	1.1.38.3
@@ -140,7 +140,7 @@
 # End Source File
 # Begin Source File
 
-SOURCE=..\..\..\src\comm_select.c
+SOURCE=..\..\..\src\comm_select_win32.c
 # End Source File
 # Begin Source File
 
@@ -172,10 +172,6 @@
 # End Source File
 # Begin Source File
 
-SOURCE=..\..\..\src\ETag.c
-# End Source File
-# Begin Source File
-
 SOURCE=..\..\..\src\event.c
 # End Source File
 # Begin Source File
Index: squid/port/win32/win32_check_group/win32_check_group.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/win32_check_group/Attic/win32_check_group.dsp,v
retrieving revision 1.1.30.1
retrieving revision 1.1.30.2
diff -u -r1.1.30.1 -r1.1.30.2
--- squid/port/win32/win32_check_group/win32_check_group.dsp	16 May 2006 21:05:59 -0000	1.1.30.1
+++ squid/port/win32/win32_check_group/win32_check_group.dsp	27 May 2006 13:18:04 -0000	1.1.30.2
@@ -87,7 +87,7 @@
 # PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
 # Begin Source File
 
-SOURCE=..\..\..\helpers\external_acl\win32_group\WIN32_check_group.c
+SOURCE=..\..\..\helpers\external_acl\mswin_lm_group\win32_check_group.c
 # End Source File
 # End Group
 # Begin Group "Header Files"
@@ -95,7 +95,7 @@
 # PROP Default_Filter "h;hpp;hxx;hm;inl"
 # Begin Source File
 
-SOURCE=..\..\..\helpers\external_acl\win32_group\win32_check_group.h
+SOURCE=..\..\..\helpers\external_acl\mswin_lm_group\win32_check_group.h
 # End Source File
 # End Group
 # Begin Group "Resource Files"
